GSPL-CHARGE(1)

NAME
gspl-charge - display/update user charges

SYNOPSIS
gspl-charge [ -options ] [ user ] ...

DESCRIPTION
gspl-charge displays and/or updates the charges recorded by GNUspool against various users specified on the command line, or all users if none are specified.

It is only available to users with the Edit admin file privilege.

Charges relate to jobs which have originated on the machine on which gspl-charge was invoked. The actual charging rate is determined by the machine on which the job is printed.

OPTIONS
Note that the order of treatment, letters and keywords described below may be modified by editing the file rest.help - see spsyntax(5). The environment variable on which options are supplied is "GSPL_CHARGE" and the environment variable to specify the help file is "SPRESTCONF".

-? or +explain
    causes a summary of the other options to be displayed without taking further action.

-C or +consolidate
    causes a consolidation record to be written for each user mentioned in the file, which summarises the charges to date for each user. The records remain in the file, this creating a current balance of account record to save processing entries in the accounts file.

-c fee or +add-charge fee
    causes the specified fee to be added to the charge for the specified user or users, or all users if none are given.

    If combined with a print option (-p or -P), the print is done after the charge is applied.

-K or +cancel-flags
    Cancels all previously-set options -p, -P, -z, -C and -R. Useful if you want to start again from some indeterminate state in a configuration file.

-P or +print-full
    causes the full log of charges for the specified user or users, or all users if none are given, to be displayed on standard output.

-p or +print-users
    (the default if no other options are specified) causes the charge summary for the specified user or users, or all users if none are given, to be displayed on standard output.

-R or +reset-file
    causes all records to be deleted from the file except for consolidation records for each user with a non-zero charge. If the charge for each user is zero (as a result of applying the -z option perhaps), then the file will be left empty.

    Note that the spool scheduler spshed(8) should not be running when this option is invoked.

-z or +zero-charge
    clears to zero the charges for the specified user or users, or all users if none are given. This is done by appending an appropriate record or records to the charge file, the previous information (as displayed by -P will still be available.

    If combined with a print option (-p or -P), the print is done before the option is applied.

+freeze-current
    Save all the current options in a .gnuspool file in the current directory.

+freeze-home
    Save all the current options in a .gnuspool file in the user's home directory.

FILES
~/.gnuspool configuration file (home directory)

.gnuspool configuration file (current directory)

rest.help message file

ENVIRONMENT

GSPL-CHARGE
    space-separated options to override defaults.

RESTCONF
    location of alternative help file.

NOTES
It is intended to deprecate this in the next release.

SEE ALSO
gspl-user(1), spsyntax(5), gnuspool.conf(5), gnuspool.hosts(5).

DIAGNOSTICS
Various diagnostics are read and printed as required from the message file, by default rest.help.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.